Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster.session
Class JvmRouteSessionIDBinderListener

    java.lang.Object
      org.apache.catalina.cluster.session.ClusterListener
          org.apache.catalina.cluster.session.JvmRouteSessionIDBinderListener

All Implemented Interfaces:
  MessageListener

public class JvmRouteSessionIDBinderListener
extends ClusterListener

Receive SessionID cluster change from other backup node after primary session node is failed.

Version:
  $Revision: 466608 $ $Date: 2006-10-21 17:10:15 -0600 (Sat, 21 Oct 2006) $
Author:
  Peter Rossbach

Field Summary
`protected static java.lang.String` | `info` The descriptive information about this implementation.
`protected boolean` | `started`

Fields inherited from class org.apache.catalina.cluster.session.ClusterListener
`cluster, log, sm`

Constructor Summary
`JvmRouteSessionIDBinderListener()`

Method Summary
`boolean` | `accept(ClusterMessage msg)` Accept only SessionIDMessages
`java.lang.String` | `getInfo()` Return descriptive information about this implementation.
`long` | `getNumberOfSessions()`
`void` | `messageReceived(ClusterMessage msg)` Callback from the cluster, when a message is received, The cluster will broadcast it invoking the messageReceived on the receiver.
`void` | `start()` Add this Mover as Cluster Listener ( receiver)
`void` | `stop()` Remove this from Cluster Listener

Methods inherited from class org.apache.catalina.cluster.session.ClusterListener
`equals, getCluster, hashCode, setCluster`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### info

    protected static final java.lang.String info

  The descriptive information about this implementation.

  See Also:
    Constant Field Values

### started

    protected boolean started

Constructor Detail

### JvmRouteSessionIDBinderListener

    public JvmRouteSessionIDBinderListener()

Method Detail

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this implementation.

### getNumberOfSessions

    public long getNumberOfSessions()

  Returns:
    Returns the numberOfSessions.

### start

    public void start()
               throws LifecycleException

  Add this Mover as Cluster Listener ( receiver)

  Throws:
    `LifecycleException`

### stop

    public void stop()
              throws LifecycleException

  Remove this from Cluster Listener

  Throws:
    `LifecycleException`

### messageReceived

    public void messageReceived(ClusterMessage msg)

  Callback from the cluster, when a message is received, The cluster will broadcast it invoking the messageReceived on the receiver.

  Specified by:
    `messageReceived` in interface `MessageListener`
  Specified by:
    `messageReceived` in class `ClusterListener`
  Parameters:
    `msg` - ClusterMessage - the message received from the cluster

### accept

    public boolean accept(ClusterMessage msg)

  Accept only SessionIDMessages

  Specified by:
    `accept` in interface `MessageListener`
  Specified by:
    `accept` in class `ClusterListener`
  Parameters:
    `msg` - ClusterMessage
  Returns:
    boolean - returns true to indicate that messageReceived should be invoked. If false is returned, the messageReceived method will not be invoked.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.